Bug 7938 - The -v option to the translate script is not documented
Summary: The -v option to the translate script is not documented
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Frédéric Demians
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on: 7780
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 11:57 UTC by Magnus Enger
Modified: 2013-12-05 20:05 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Added a brief description of the verbose parameter (1.06 KB, patch)
2013-03-25 04:19 UTC, Will Stokes
Details | Diff | Splinter Review
Bug 7938: [SIGNED-OFF] Added description of -v/--verbose parameter (1.20 KB, patch)
2013-03-25 21:50 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 7938: [SIGNED-OFF] Added description of -v/--verbose parameter (1.26 KB, patch)
2013-03-28 16:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2012-04-10 11:57:31 UTC
Bug 7780 introduced the -v option to the misc/translator/translate script, but this option is not documented in the POD of that script, so it's not mentioned in the documentation you get when you run "perl translate".
Comment 1 Will Stokes 2013-03-25 04:19:54 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2013-03-25 21:50:01 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-03-28 16:49:02 UTC
QA comment:
Add verbose in pod and fix a typo.
Marked as Passed QA.
Comment 4 Jonathan Druart 2013-03-28 16:50:00 UTC
Created attachment 16992 [details] [review]
Bug 7938: [SIGNED-OFF] Added description of -v/--verbose parameter

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
"perldoc misc/translator/translate" looks good and now mentions
the -v option.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jared Camins-Esakov 2013-03-30 01:54:22 UTC
This patch has been pushed to master.

Welcome, Will, you are the 205th committer to Koha!
Comment 6 Jared Camins-Esakov 2013-03-30 01:56:07 UTC
(In reply to comment #5)
> Welcome, Will, you are the 205th committer to Koha!

Sorry, I misspelled your name when I was checking the history. You're already committer 103!
Comment 7 Chris Cormack 2013-03-30 07:24:15 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.5 and 3.8.11
Comment 8 Magnus Enger 2013-04-03 19:08:53 UTC
Works as expected (tested with packages built off current master).
Comment 9 Magnus Enger 2013-04-03 19:09:14 UTC
Gah, forgot to change the status...